Sneak Preview Of Viper’s Video Quicktags v7.0′s Code

If you’re a coder and are interested in the direction I am going with the next version of my popular Viper’s Video Quicktags plugin, I have committed what I have so far to the WordPress.org plugin SVN repository.

Please note that this is not production ready code. It’s still a proof of concept at this point basically where I am just writing ugly code in an effort to get the functionality there so I can test it. Large portions of it aren’t even coded yet (FLV support for example).

I’m only sharing it for anyone who builds on top of my plugin or whatnot with their own code. Everyone else shouldn’t bother looking at it. :)

9 thoughts on “Sneak Preview Of Viper’s Video Quicktags v7.0′s Code

  1. Using Flowplayer in a WordPress plugin could be problematic.

    WordPress plugins, in as far as they are considered derivative works of WordPress, must use the same licence as WordPress, GPLv2.

    Flowplayer is published under the GPLv3, which is not compatible with the GPLv2.

    Cheers!

    • So it turns out that WordPress isn’t really GPLv2, it’s just “GPL”.

      See discussion here, specifically Mark’s comment:

      http://core.trac.wordpress.org/ticket/14685#comment:39

      I think I’m going just distribute my plugin with Flowplayer. It may be GPLv2 incompatible, but it’s certainly GPL compatible (obviously). Plus I’m not really building on top of it’s code or hooking into it from a code perspective. You could remove Flowplayer from my plugin and it’d still function 100% correctly (you’d just get some browser 404′s and such).

  2. I think it’s not that simple. In my understanding, you cannot use GPLv3 code at all in software released under the GPLv2.

    And I think that’s what the official GPL FAQ says too: http://www.gnu.org/licenses/gpl-faq.html

    At the bottom of the page there is a detailed compatibility matrix. Its anwswers for our pair, GPLv2+GPLv3, are:

    “I want to release a project under GPLv2 only” AND “I want to copy code under GPLv3”: NO

    “I want to release a project under GPLv2 only” AND I want to use a library under GPLv3”: NO

    Now, from a practical point of view, probably no one will object if you use Flowplayer in the plugin. Theoretically you could have problems with WordPress Extend, but I have seen lots of plugins in WordPress Extend using licences incompatible with the GPLv2. Not only GPLv3 (which many people think is compatible with GPLv2), but also various incompatible CC licences (not all CC licences are compatible with the GPLv2), and also licences blatantly incompatible with the GPLv2.

    I hope I am not making you too unhappy with my comments. :-) Personally, I find free software licences an exciting topic (mainly because of their contribution to the growth of so much software we use daily in all kinds of machines and devices), but some of them can be a cause of frustration sometimes. :-)

  3. Pingback: New Car Websites using WordPress | WordPress Specialist

Leave a Reply